// Coddigo Javascript
var actual;
var musicax;
var action;
var posps;
function Swf(path) {      
var swf = navigator.appName.indexOf("Microsoft") != -1;      
return (swf) ? window[path] : document[path];
}
function $(objeto){
 return document.getElementById(objeto);	
}
function valor(objeto){
	return $(objeto).value;
}
function sug(e,obj){	
	var actualsug = e-1;
	$(obj).focus();
	$('f-'+e).innerHTML = "<span  class='fr-1' style='position:absolute'></span><span  class='fr-2'>"+sugerencias[actualsug]+"</span>"; 		
}
function ocu(e){
      $('f-'+e).innerHTML = ''; 
}
function gen(val){for(i=0;i<val.length;i++)if(val[i].checked) return val[i].value;}
function peticionXMLHttp() {
    var peticion  = false;
    if (window.XMLHttpRequest) 
     { 
         peticion = new XMLHttpRequest();         
    } 
    else 
      if (window.ActiveXObject)      { 
       try { peticion = new ActiveXObject("Msxml2.XMLHTTP"); } 
       catch (e)  {
        try { peticion = new ActiveXObject("Microsoft.XMLHTTP"); } 
        catch (e) {}
      }
    }
 
  return peticion;  
 
}

function paginar(numpag){
	var paginacion;
	var anterior = numpag-1;
	var siguiente = numpag+1;
	var eltotal = $('listaArtistas').getElementsByTagName('li').length; 
	var paginasentotal = Math.ceil(eltotal/40);
	
	/* Enlace Adicional */
	if(numpag <=paginasentotal-1)
	paginacion = "<div style='margin-left:40px'><a  class=t2 href='' onclick=\"paginar("+siguiente+"); return false\" title='M&aacute;s artistas' >MAS ARTISTAS &raquo;</a></div><br />  ";
	else
	paginacion = "<div style='margin-left:40px'><span class='SinPag'><b>MAS ARTISTAS &raquo;</b></span></div>";
	/**/
	
	paginacion += "<div class='Paginacion'>";
	
	/* Enlace Anterior */
	if(numpag > 1)  
	paginacion  += "<a onClick=\"paginar("+anterior+"); return false;\" title='Pagina"+anterior+"' href=''>&laquo; Ant</a>  "; 
	else 
	paginacion  += "<span class='SinPag'>&laquo; Ant.</span>  ";
	/**/
	
	/* Enlaces Normales */
	for(var n=1; n<=paginasentotal;n++)
	{
		var clase = (n == numpag)? "visible":"Novisible";$("capa"+n).className = clase;		
		if(numpag == n)
		paginacion  += "<span class='PaginaActual'>"+numpag+"</span> ";		
		else
		paginacion  += "<a onClick=\"paginar("+n+"); return false;\" title='Pagina"+n+"' href=''>"+n+"</a>  "; 
		
	}		
	/**/
	
	/* Enlace Siguiente */
	if(numpag <= paginasentotal-1)
	paginacion  += "<a onClick=\"paginar("+siguiente+");return false;\" title='Pagina"+siguiente+"' href=''>Sig. &raquo;</a>"; 
	else
	paginacion  += "<span class='SinPag'>Sig. &raquo;</span>";	
	/**/
	
	paginacion += "</div>";
	/**/
	
	/* Mostramos la Paginacion u.u */
	$("Pagi_result").innerHTML = paginacion;	
	
}

function iniciarPlayList(num,mod){
	actual = num;
	action = mod;
	goScroll(num);
	if(action == 2){	$("Amigos").value = $("en_"+actual).href;}	
	
}
function cl(n){
	  actual = n;
	  Swf("myRepro").Suena(actual);
	  goScroll(n);
	   var isvisible = $("lyc").style.display;
	   if(isvisible=='block')	{      if(posps == "lr") {	 Show("lr","lyc",0);	}else{Show("vid","lyc",0);}	}		
	   for(var k = 0;k<musicax.split("|").length;k++) {
		  var clase = (k %2 == 0) ? "Sl":"Sh";
		  if(n == k)	
		        $("pl_"+n).className = "ListSelecc";
		  else
		     $("pl_"+k).className = clase;
	  }
	  if(action == 2)  {
		  $("Amigos").value = $("en_"+actual).href;
	  }
	
}
function clickM(num){
	 cl(num);
}
function goScroll(pos){	
for(var n=0;n<=4;n++){
		$("lt").scrollTop = 19*(pos-4);
	}
}
var miajax;
function peticionXML(url,metodo,contexto,value){	
    miajax = peticionXMLHttp();
	miajax .open(metodo,url,true);
	miajax .onreadystatechange = function()
	{
		isMultiAjax(contexto);
	}
	miajax .setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	miajax .send(value);
}

function isMultiAjax(_load){
	
	$(_load).innerHTML = '';
	if(miajax.readyState == 1)
	{
		$(_load).innerHTML = "<br /><br /><br /><br /><br /><br />";
		$(_load).innerHTML += "<center><font color='#333333' style='font-family:Arial, Helvetica, sans-serif;font-size:12px;'><b>Cargando Contenido</b></font><br></center>";
		$(_load).innerHTML += "<center><img height=15 src='./Imagenes/Carg1.gif'></center>";		
	}
	else if(miajax .readyState == 4)
	{
		if(miajax.status == 200)
		{
			$(_load).innerHTML += '<span  style="padding-right:1px; height:16px:">';
			$(_load).innerHTML += '<a href="#cerrar" onclick="cerrar(); return false"><img border=0 align=right  src="./Imagenes/x-i.gif"></a></span>';
			$(_load).innerHTML += "<center>"+miajax .responseText+"</center>";
		}
		else 
		{     miajax.close();
			  miajax.setRequestHeader("Connection", "close");
		}
	}
}
function  Show(_accion,_capa,md){
	posps = _accion;
    var isvisible = $(_capa).style.display;
	if(md == 1)	(isvisible=='block')? $(_capa).style.display='none': $(_capa).style.display='block';	
	var offtitulo =  Swf("myRepro").Pt(actual);
	
	if(_accion == "lr")
	{
    var getvars = offtitulo ;
	var url = "Procesos/Proc.Letra.php";
	var metodo = "POST";
	var value = "L="+getvars+"&nocache="+Math.random()*9999;
	var contexto = _capa;
	peticionXML(url,metodo,contexto,value);
	}
	else if(_accion == "vid")
	{
    var getvars = offtitulo;
	var url = "Procesos/Proc.Videos.php";
	var metodo = "POST";
	var value = "v="+getvars+"&nocache="+Math.random()*9999;
	var contexto = _capa;
	peticionXML(url,metodo,contexto,value);
	}
	
	
}
function NuevoVoto(id,ratin){
	var voto  = peticionXMLHttp();
	voto .open("POST","Procesos/Proc.Acciones.php",true);
	voto .setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	voto .send("Accion=Voto&idm="+id+"&ratio="+ratin+"&nocache="+Math.random()*9999);
}
function verVideo(id,_capa){	 
	$(_capa).style.display='block';	
	peticionXML("Procesos/Proc.Vervideo.php","POST","lyc","idv="+id+"&nocache="+Math.random()*9999999)
}

function cerrar(){
	$("lyc").style.display = "none";
}
function inversa(cad){
	return cad.split(" ").join("-");
}

function ddikr(can){    
	var directorio ="dedicar.php?G="+inversa(musicax.split("|")[can].split("::")[4])+"&A="+inversa(musicax.split("|")[can].split("::")[1])+"&T="+inversa(musicax.split("|")[can].split("::")[2])+"&idm="+musicax.split("|")[can].split("::")[0];
	window.location = directorio;	
}

function Codificar(cad){
	if(encodeURIComponent)
	{return encodeURIComponent(cad);	
	}else{
	return escape(cad);
	}
}
function face_click(){
u=location.href;
t=document.title;
window.open('http://www.facebook.com/sharer.php?u='+Codificar(u)+'&t='+Codificar(t),'sharer','toolbar=0,status=0,width=626,height=436');
return false;
}

function twiter_click(){
u=location.href;
t=document.title;
window.open('http://twitter.com/home?status='+Codificar(t+" ("+u+")"),'sharer','toolbar=0,status=0,width=840,height=500');
return false;
}
